> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Hris Additional Compensation

> Lists an employee's additional compensation entries, including scheduled ones for admins.

Required scope: `compensation:read`. With an API key, `roleInOrgID` must be set: a key has no person of its own.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/list-hris-additional-compensation
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/list-hris-additional-compensation:
    post:
      operationId: listHrisAdditionalCompensation
      summary: List Hris Additional Compensation
      x-toku-required-scope: compensation:read
      description: >-
        Lists an employee's additional compensation entries, including scheduled
        ones for admins.


        Required scope: `compensation:read`. With an API key, `roleInOrgID` must
        be set: a key has no person of its own.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListHrisAdditionalCompensationRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListHrisAdditionalCompensationResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    ListHrisAdditionalCompensationRequest:
      type: object
      properties:
        roleInOrgID:
          type: string
          format: uuid
        includeScheduled:
          type: boolean
    ListHrisAdditionalCompensationResponse:
      type: object
      properties:
        additionalCompensations:
          type: array
          items:
            type: object
            properties:
              hrisAdditionalCompensationId:
                type: string
                format: uuid
              amount:
                type: string
              currency:
                type:
                  - string
                  - 'null'
              paymentType:
                type: string
                enum:
                  - FIAT
                  - TOKEN
              tokenSymbol:
                type:
                  - string
                  - 'null'
              tokenNetwork:
                type:
                  - string
                  - 'null'
              tokenTypeID:
                type:
                  - string
                  - 'null'
              settlementTokenTypeID:
                type:
                  - string
                  - 'null'
              settlementTokenSymbol:
                type:
                  - string
                  - 'null'
              settlementTokenNetwork:
                type:
                  - string
                  - 'null'
              type:
                type: string
              isRecurring:
                type: boolean
              frequency:
                type:
                  - string
                  - 'null'
              effectiveDate:
                type:
                  - string
                  - 'null'
              endDate:
                type:
                  - string
                  - 'null'
              endedByAllowanceChange:
                type: boolean
              isEnded:
                type: boolean
              isScheduledReplacement:
                type: boolean
              note:
                type:
                  - string
                  - 'null'
              isScheduled:
                type: boolean
              createdAt:
                type: string
              companyAllowance:
                type:
                  - object
                  - 'null'
                properties:
                  id:
                    type: string
                    format: uuid
                  name:
                    type:
                      - string
                      - 'null'
                required:
                  - id
                  - name
            required:
              - hrisAdditionalCompensationId
              - amount
              - currency
              - paymentType
              - tokenSymbol
              - tokenNetwork
              - tokenTypeID
              - settlementTokenTypeID
              - settlementTokenSymbol
              - settlementTokenNetwork
              - type
              - isRecurring
              - frequency
              - effectiveDate
              - endDate
              - endedByAllowanceChange
              - isEnded
              - isScheduledReplacement
              - note
              - isScheduled
              - createdAt
              - companyAllowance
      required:
        - additionalCompensations
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
